<?php include 'header.php'; ?>
<!-- Begin Page Content -->
        <div class="container-fluid">
        	<div class="row">
        		<div class="col-md-12">
        			<div class="card border-left-primary shadow h-100 py-2">
		                <div class="card-body">
		                  <div class="row no-gutters align-items-center">
		                    <div class="col mr-2">
		                      <div class="text-lg font-weight-bold text-primary text-uppercase mb-1">Gerenciador de Target</div>
		                    </div>
		                    <div class="col-auto">
		                      <i class="fas fa-image fa-2x text-gray-300"></i>
		                    </div>
		                  </div>
		                </div>
		            </div>
        		</div>
        		<div class="col-md-12">
        			<!-- DataTales Example -->
          <div class="card shadow mb-4 shadow-lg my-5">
            <div class="card-body">
              <div class="table-responsive">
                <table class="table table-bordered" id="example" width="100%" cellspacing="0">
                  <thead>
                    <tr>
                      <th>id</th>
                      <th>target</th>
                      <th>QR Code</th>
                      <th>Imagem</th>
                      <th>Nome da Target</th>
                      <th>Tipo AR</th>
                      <th>Exibir na Galeria de Aplicativos</th>
                      <th>Visualizações</th>
                      <th>Opções</th>
                    </tr>
                  </thead>
                  <tbody>
                    
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        		</div>
        	</div>
              

          

        </div>
        <!-- /.container-fluid -->
  <div class="modal fade" id="pictureModal" role="dialog">
		<div class="modal-dialog modal-md">
			<div class="modal-content">
				<div class="modal-header">					
					<button type="button" class="close" data-dismiss="modal">&times;</button>
				</div>
				<div class="modal-body">
					<center><img id="markerLocation" src="" style="max-width:100%;"></center>
				</div>	                
			</div>
		</div>
	</div>
  <div class="modal fade" id="EditNameModal" role="dialog">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post">
          <div class="modal-body">
            <input type="text" style="display:none;" name="id" id="id" >  
            <input type="text" name="targetName" id="targetname" class="form-control">  
          </div>
          <div class="modal-footer">          
              <button type="submit" name="editName" class="btn btn-primary">Editar</button>
              <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>          
          </div>
        </form>
      </div>
    </div>
  </div>
<!-- Delete -->
    <div class="modal fade" id="DeleteModal" role="dialog">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]);?>" method="post">
          <div class="modal-body">
            <input type="text" style="display:none;" name="id" id="id" value=""/>  
            <input type="text" style="display:none;" name="targetlocation" id="targetlocation" value=""/>  
            <input type="text" style="display:none;" name="imageLocation" id="imagelocation" value=""/>  
            <input type="text" style="display:none;" name="qrLocation" id="qrlocation" value=""/>  
            <input type="text" style="display:none;" name="imageid" id="imageid" value=""/>  
            <p>Você realmente deseja excluir este objeto?</p>
          </div>
          <div class="modal-footer">          
              <button type="submit" name="delete" class="btn btn-primary">Excluir</button>
              <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>          
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
  <!-- /Delete -->  
<?php include 'footer.php'; ?>
<script>
$(document).on("click", ".picture", function () {
	var markerLocation = $(this).data('markerlocation');
	$(".modal-body #markerLocation").attr("src", markerLocation);
});
</script>
<script>
$(document).on("click", ".delete", function () {
  var targetlocation= $(this).data('targetlocation');
  $(".modal-body #targetlocation").val( targetlocation );
  var imagelocation= $(this).data('imagelocation');
  $(".modal-body #imagelocation").val( imagelocation );
  var qrlocation= $(this).data('qrlocation');
  $(".modal-body #qrlocation").val( qrlocation );
  var imageid= $(this).data('imageid');
  $(".modal-body #imageid").val( imageid );
});
</script>
<script>
$(document).on("click", ".edit", function () {
    var id= $(this).data('id');
    $(".modal-body #id").val( id );
    var targetname= $(this).data('targetname');
    $(".modal-body #targetname").val( targetname );
});
</script>
<script>
$(document).ready(function() {
    $('#example').DataTable( {
        "columnDefs": [
            {
                "targets": [ 0,1 ],
                "visible": false,
                "searchable": false
            }
        ],
        "language": {
            "sLengthMenu":    "Mostrar _MENU_ entradas",
            "sInfo":          "Mostrando _START_ a _END_ de _TOTAL_ entradas",
            "sInfoEmpty":     "Mostrando 0 a 0 de 0 entradas",
            "sSearch":        "Procurar:",
            "oPaginate": {
                "sNext":    "Próximo",
                "sPrevious": "Anterior"
            }
        },
        "processing": true,
        "serverSide": true,
        "ajax": "scripts/server_processing.php"
    } );
} );
</script>
<?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if(isset($_POST['editName']))
    {
        $id=test_input($_REQUEST['id']);
        $targetName=test_input($_REQUEST['targetName']);
        include 'connection.php';
        $sql="UPDATE markers SET experienceName='$targetName' where id='$id'";
        if (mysqli_multi_query($conn, $sql)) {
            echo "<script>
                window.location.href = 'target-manager.php';
            </script>";
        }
    }
    if(isset($_POST['cBox']))
    {
        $id=test_input($_REQUEST['id']);
        $cbox=test_input($_REQUEST['cBox']);
        include 'connection.php';
        $sql="UPDATE markers SET gallery='$cbox' where id='$id'";
        if (mysqli_multi_query($conn, $sql)) {
            echo "<script>
                window.location.href = 'target-manager.php';
            </script>";
        }
    }
}
?>
<?php
$image = $id = "";
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if(isset($_POST['delete']))
    {
        $targetlocation=test_input($_REQUEST['targetlocation']);
        $image=test_input($_REQUEST['imageLocation']);
        $qr=test_input($_REQUEST['qrLocation']);
        $id=test_input($_REQUEST['imageid']);
        include 'connection.php';
				$query="delete from markers where markerName='$id'";
                if (mysqli_query($conn, $query)) {
                    unlink($image);
                    unlink("qrcodes/".$qr);
                    unlink("targets/".$targetlocation);
					$re = mysqli_query($conn,"SELECT * FROM content WHERE markerId = '$id'");
					while($r = mysqli_fetch_array($re)){
						if($r['contentType'] != "youtube"){
							unlink("uploads/" . $r['contentLocation']);
						}
						if($r['contentType'] == "button"){
						    $cId = $r['id'];
                    		$queryDelEvents="delete from events where button='$cId'";
                    		if (mysqli_query($conn, $queryDelEvents)) {
                    		    echo "done";
                    		}else{
                    		    echo $conn -> error;
                    		}
                    	}
					}
					$quer = "delete from content where markerId='$id'";
					if (mysqli_query($conn, $quer)) {
					     echo "<script>
                            window.location.href = 'target-manager.php';
                        </script>";
					}
                    else{
                        //echo $conn->error;
                        echo '<div class="card border-left-danger shadow" style="position:absolute; top:20px; right:20px; width:200px;">
                        <div class="card-body">
                          <div class="row no-gutters align-items-center">
                            <div class="col mr-2">
                              <div class="text-xs font-weight-bold text-warning text-uppercase mb-1">Failed</div>
                              <div class="h5 mb-0 font-weight-bold text-gray-800">Failed to delete content</div>
                            </div>
                            <div class="col-auto">
                              <i class="fas fa-comments fa-2x text-gray-300"></i>
                            </div>
                          </div>
                        </div>
                      </div>';
                    }
                }else{
                    echo '<div class="card border-left-danger shadow" style="position:absolute; top:20px; right:20px; width:200px;">
                        <div class="card-body">
                          <div class="row no-gutters align-items-center">
                            <div class="col mr-2">
                              <div class="text-xs font-weight-bold text-warning text-uppercase mb-1">Failed</div>
                              <div class="h5 mb-0 font-weight-bold text-gray-800">Failed to delete Target</div>
                            </div>
                            <div class="col-auto">
                              <i class="fas fa-comments fa-2x text-gray-300"></i>
                            </div>
                          </div>
                        </div>
                      </div>';
                }
    }
}

function test_input($data) {
  $data = trim($data);
  $data = stripslashes($data);
  $data = htmlspecialchars($data);
  return $data;
}
?>