<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta aframe-injected="" name="theme-color" content="black">
    <script src="https://aframe.io/releases/1.3.0/aframe.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/mind-ar@1.2.0/dist/mindar-image-aframe.prod.js"></script>
    <script src="https://cdn.jsdelivr.net/gh/donmccurdy/aframe-extras@v6.1.1/dist/aframe-extras.min.js"></script>
    <script src="../scripts/chromakey.min.js"></script>
    <link rel="icon" href="../img/favicon.ico" type="image/ico" sizes="16x16">
    <title>RealityX - AR Studio by H7Brasil Technologies</title>
    <script>
        window.onorientationchange = function() {  	window.location.reload(); };
    </script>
    <script>
            AFRAME.registerComponent('resize', {
              schema: {
                axis: {
                  type: 'string',
                  default: 'x'
                },
                value: {
                  type: 'number',
                  default: 1
                }
              },
              init: function() {
                var el = this.el;
                var data = this.data;
                var model = el.object3D;
                el.addEventListener('model-loaded', function(e) {
                  var box = new THREE.Box3().setFromObject( model );
                console.log(box);
                  var size = box.max;
                  var x = size.x;
                  var y = size.y;
                  var z = size.z;
                  console.log(x);
                  console.log(y);
                  console.log(z);
                  if(x>y && x>z) {
                    var scale = data.value / x;
                  }
                  else if(y>x && y>z) {
                      console.log(data.value);
                    var scale = data.value / y;
                  }
                  else {
                    var scale = data.value / z;
                  }
                  el.setAttribute('scale', scale + ' ' + scale + ' ' + scale);
                });
              }
            });
          AFRAME.registerComponent('alpha-test', {
            dependencies: ['material'],
            init: function () {
              this.el.getObject3D('mesh').material.alphaTest = 0.5;
            }
          });
    </script>
     <style>
      #example-scanning-overlay {
	display: flex;
	align-items: center;
	justify-content: center;
	position: absolute;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	background: transparent;
	z-index: 2;
      }
      @media (min-aspect-ratio: 1/1) {
	#example-scanning-overlay .inner {
	  width: 50vh;
	  height: 50vh;
	}
      }
      @media (max-aspect-ratio: 1/1) {
	#example-scanning-overlay .inner {
	  width: 80vw;
	  height: 80vw;
	}
      }

      #example-scanning-overlay .inner {
	display: flex;
	align-items: center;
	justify-content: center;
	position: relative;

	background:
	  linear-gradient(to right, white 10px, transparent 10px) 0 0,
	  linear-gradient(to right, white 10px, transparent 10px) 0 100%,
	  linear-gradient(to left, white 10px, transparent 10px) 100% 0,
	  linear-gradient(to left, white 10px, transparent 10px) 100% 100%,
	  linear-gradient(to bottom, white 10px, transparent 10px) 0 0,
	  linear-gradient(to bottom, white 10px, transparent 10px) 100% 0,
	  linear-gradient(to top, white 10px, transparent 10px) 0 100%,
	  linear-gradient(to top, white 10px, transparent 10px) 100% 100%;
	background-repeat: no-repeat;
	background-size: 40px 40px;
      }

      #example-scanning-overlay.hidden {
	display: none;
      }

      #example-scanning-overlay img {
	opacity: 0.6;
	width: 90%;
	align-self: center;
      }

      #example-scanning-overlay .inner .scanline {
	position: absolute;
	width: 100%;
	height: 10px;
	background: white;
	animation: move 2s linear infinite;
      }
      @keyframes move {
	0%, 100% { top: 0% }
	50% { top: calc(100% - 10px) }
      }
    </style>
  </head>
  <body>
    <?php
        $tname = $_GET['tn'];
        include '../connection.php';
        $sql = "UPDATE markers SET views = views + 1 WHERE markerName = '".$tname."'";
        mysqli_query($conn, $sql);
    	$resultImage = mysqli_query($conn,"SELECT * FROM markers WHERE markerName = '".$tname."'");
    	while($rowImage = mysqli_fetch_array($resultImage)){
    ?>
        <div id="example-scanning-overlay" class="hidden">
          <div class="inner">
    	<img src="../<?php echo $rowImage['markerLocation']; ?>"/>
    	<div class="scanline"></div>
          </div>
        </div>
    <a-scene loading-screen="dotsColor: red; backgroundColor: black" mindar-image="uiScanning: #example-scanning-overlay; imageTargetSrc: ../targets/<?php echo $rowImage['target']; ?>;filterMinCF:0.0001; filterBeta: 0.001;warmupTolerance: 1;" color-space="sRGB" renderer="colorManagement: true, physicallyCorrectLights" vr-mode-ui="enabled: false" device-orientation-permission-ui="enabled: false">
    <?php
    	}
    ?>
    <a-assets>
    <?php
    	$re = mysqli_query($conn,"SELECT * FROM content WHERE markerId = '$tname'");
    	while($r = mysqli_fetch_array($re)){
    ?>
        <?php
            if($r['contentType'] == "image"){
        ?>
                <img id="<?php echo $r['id']; ?>" src="../uploads/<?php echo $r['contentLocation']; ?>" />
        <?php
            }else if($r['contentType'] == "model"){
        ?>
                <a-asset-item id="<?php echo $r['id']; ?>" src="../uploads/<?php echo $r['contentLocation']; ?>"></a-asset-item>
        <?php 
            }else if($r['contentType'] == "audio"){
        ?>
                <audio id="s<?php echo $r['id']; ?>" crossorigin="anonymous" preload="auto" <?php $str2 = explode(",",$r['extra1']); $str3 = explode(":",$str2[1]); $loop = $str3[1]; if($loop == "True"){ echo 'loop="true"'; } ?> src="../uploads/<?php echo $r['contentLocation']; ?>"></audio>
        <?php 
            }else if($r['contentType'] == "button"){
        ?>
                <img id="<?php echo $r['id']; ?>" src="../uploads/<?php echo $r['contentLocation']; ?>">
        <?php
            }else{
        ?>
                <video id="s<?php echo $r['id']; ?>" <?php $str2 = explode(",",$r['extra1']); $str3 = explode(":",$str2[2]); $loop = $str3[1]; if($loop == "True"){ echo 'loop="true"'; } ?> src="../uploads/<?php echo $r['contentLocation']; ?>" playsinline="" webkit-playsinline="" crossorigin></video>
        <?php
            }
        ?>
    <?php
    	}
    ?>
    </a-assets>  
    <a-entity id="target" mindar-image-target="targetIndex: 0">
    <?php
    	$re = mysqli_query($conn,"SELECT * FROM content WHERE markerId = '$tname'");
    	while($r = mysqli_fetch_array($re)){
    ?>
        <?php
        if($r['contentType'] != "button"){
            if($r['contentType'] == "image"){
        ?>
                <a-image id="a<?php echo $r['id']; ?>" visible="<?php echo strtolower($r['status']); ?>" src="#<?php echo $r['id']; ?>" position="<?php echo $r['positionx']/10; ?> <?php echo $r['positionz']/10; ?> <?php echo $r['positiony']/10; ?>" scale="<?php echo $r['scalex']/2; ?> <?php echo $r['scalez']/2; ?> <?php echo $r['scaley']/2; ?>" rotation="<?php echo $r['rotationx']; ?> <?php echo $r['rotationz']; ?> <?php echo $r['rotationy']*-1; ?>" alpha-test></a-image>
        <?php
            }else if($r['contentType'] == "model"){
        ?>
                <a-entity rotation="270 180 0" resize><a-gltf-model id="a<?php echo $r['id']; ?>" visible="<?php echo strtolower($r['status']); ?>" rotation="<?php echo $r['rotationx']; ?> <?php echo $r['rotationy']*-1; ?> <?php echo $r['rotationz']*-1; ?>" position="<?php echo ($r['positionx']*-1)/10; ?> <?php echo $r['positiony']/10; ?> <?php echo $r['positionz']/10; ?>" scale="<?php echo $r['scalex']; ?> <?php echo $r['scalez']; ?> <?php echo $r['scaley']; ?>" src="#<?php echo $r['id']; ?>" <?php $str2 = explode(",",$r['extra1']); $str3 = explode(":",$str2[3]); $loop = $str3[1]; if($loop == "True"){ echo 'animation-mixer'; } ?>></a-gltf-model></a-entity>
        <?php 
            }else if($r['contentType'] == "audio"){
        ?>
                <a-plane sound="src: #s<?php echo $r['id']; ?>" autoplay="false"></a-plane>
        <?php 
            }else if($r['contentType'] == "video"){
                $rid = $r['id'];
        ?>
                <a-video id="a<?php echo $rid; ?>" visible="<?php echo strtolower($r['status']); ?>" src="#s<?php echo $rid; ?>" webkit-playsinline="" playsinline="" position="<?php echo $r['positionx']/10; ?> <?php echo $r['positionz']/10; ?> <?php echo $r['positiony']/10; ?>" scale="<?php echo $r['scalex']; ?> <?php echo $r['scalez']; ?> <?php echo $r['scaley']; ?>" rotation="<?php echo $r['rotationx']; ?> <?php echo $r['rotationz']; ?> <?php echo $r['rotationy']*-1; ?>" material="<?php $str2 = explode(",",$r['extra1']); $str3 = explode(":",$str2[0]); $green = $str3[1]; if($green == "True"){ echo "shader: chromakey; src: #s$rid; color: 0.1 0.9 0.2"; } ?>" geometry=""></a-video>
        <?php
            }
        }
        ?>
    <?php
    	}
    ?>
    <?php
    	$re = mysqli_query($conn,"SELECT * FROM content WHERE markerId = '$tname'");
    	while($r = mysqli_fetch_array($re)){
    ?>
        <?php
        if($r['contentType'] == "button"){
        ?>
        <a-image id="a<?php echo $r['id']; ?>" visible="<?php echo strtolower($r['status']); ?>" class="clickable" src="#<?php echo $r['id']; ?>" position="<?php echo $r['positionx']/10; ?> <?php echo $r['positionz']/10; ?> <?php echo $r['positiony']/10; ?>" scale="<?php echo $r['scalex']/2; ?> <?php echo $r['scalez']/2; ?> <?php echo $r['scaley']/2; ?>" rotation="<?php echo $r['rotationx']; ?> <?php echo $r['rotationz']; ?> <?php echo $r['rotationy']*-1; ?>" material="" geometry=""></a-image>
        <?php
                $button = $r['id'];
                $resultEvents = mysqli_query($conn,"SELECT * FROM events WHERE button = '$button'");
                $count = mysqli_num_rows($resultEvents);
                if($count){
        ?>
	            <script>
	            const webButton<?php echo $button; ?> = document.querySelector("#a<?php echo $button; ?>");
	            </script>
	   <?php
	            while($rowEvents = mysqli_fetch_array($resultEvents)){
	                if($rowEvents['action'] == "URL de Lançamento"){
	   ?>
                	   <script>
                            webButton<?php echo $button; ?>.addEventListener('click', function (evt) {
                                window.location.href="<?php echo $rowEvents['specify']; ?>";
                            });
                	   </script>
	   <?php
	                }else if($rowEvents['action'] == "Objeto de Exibição"){
	                    $object = $rowEvents['object'];
	   ?>
	                    <script>
                	       var object<?php echo $object; ?> = document.querySelector("#a<?php echo $object; ?>");
                            webButton<?php echo $button; ?>.addEventListener('click', function (evt) {
                                object<?php echo $object; ?>.setAttribute("visible", true);

                            });
                	   </script>
	   <?php
	                }else if($rowEvents['action'] == "Ocultar Objeto"){
	                    $object = $rowEvents['object'];
	   ?>
	                    <script>
                	       var object<?php echo $object; ?> = document.querySelector("#a<?php echo $object; ?>");
                            webButton<?php echo $button; ?>.addEventListener('click', function (evt) {
                                object<?php echo $object; ?>.setAttribute("visible", false);

                            });
                	   </script>
	   <?php
	                }else if($rowEvents['action'] == "Reproduzir Vídeo"){
	                    $object = $rowEvents['object'];
	   ?>
	                    <script>
                            var object<?php echo $object; ?> = document.querySelector("#s<?php echo $object; ?>");
                            webButton<?php echo $button; ?>.addEventListener('click', () => {
                              console.log("clicked");
                                object<?php echo $object; ?>.play();
                            });
                	   </script>
	   <?php
	                }else if($rowEvents['action'] == "Pausar Vídeo"){
	                    $object = $rowEvents['object'];
	   ?>
	                    <script>
                            var object<?php echo $object; ?> = document.querySelector("#s<?php echo $object; ?>");
                            webButton<?php echo $button; ?>.addEventListener('click', () => {
                              console.log("clicked");
                                object<?php echo $object; ?>.pause();
                            });
                	   </script>
	   <?php
	                }else if($rowEvents['action'] == "Reproduzir Áudio"){
	                    $object = $rowEvents['object'];
	   ?>
	                    <script>
                            var object<?php echo $object; ?> = document.querySelector("#s<?php echo $object; ?>");
                            webButton<?php echo $button; ?>.addEventListener('click', () => {
                              console.log("clicked");
                                object<?php echo $object; ?>.play();
                            });
                	   </script>
	   <?php
	                }else if($rowEvents['action'] == "Pausar Áudio"){
	                    $object = $rowEvents['object'];
	   ?>
	                    <script>
                            var object<?php echo $object; ?> = document.querySelector("#s<?php echo $object; ?>");
                            webButton<?php echo $button; ?>.addEventListener('click', () => {
                              console.log("clicked");
                                object<?php echo $object; ?>.pause();
                            });
                	   </script>
	   <?php
	                }else if($rowEvents['action'] == "Reproduzir Animação"){
	                    $object = $rowEvents['object'];
	                    $action = $rowEvents['specify'];
	   ?>
	                    <script>
                            var object<?php echo $object; ?> = document.querySelector("#a<?php echo $object; ?>");
                            webButton<?php echo $button; ?>.addEventListener('click', () => {
                              console.log("clicked");
                                object<?php echo $object; ?>.setAttribute("animation-mixer", "clip:<?php echo $action; ?>") 
                            });
                	   </script>
	   <?php
	                }else if($rowEvents['action'] == "Parar Animação"){
	                    $object = $rowEvents['object'];
	   ?>
	                    <script>
                            var object<?php echo $object; ?> = document.querySelector("#a<?php echo $object; ?>");
                            webButton<?php echo $button; ?>.addEventListener('click', () => {
                              console.log("clicked");
                                object<?php echo $object; ?>.setAttribute("animation-mixer", "clip:idle") 
                            });
                	   </script>
	   <?php
	                }
	   ?>
	   <?php
	            }
            }
        }
        ?>
    <?php
    	}
    ?>
    </a-entity>
    <a-camera position="0 0 0" look-controls="enabled: false" cursor="fuse: false; rayOrigin: mouse;" raycaster="far: ${customFields.libVersion}; objects: .clickable"></a-camera>
      </a-scene>
  </body>
</html>