<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <script src="https://cdn.jsdelivr.net/gh/hiukim/mind-ar-js@1.1.5/dist/mindar-image.prod.js"></script>
    <script src="https://aframe.io/releases/1.2.0/aframe.min.js"></script>
    <script src="https://cdn.jsdelivr.net/gh/hiukim/mind-ar-js@1.1.5/dist/mindar-image-aframe.prod.js"></script>
    <script src="https://cdn.jsdelivr.net/gh/donmccurdy/aframe-extras@v6.1.1/dist/aframe-extras.min.js"></script>
    <script src="scripts/aframe-text-geometry-component.min.js"></script>
    <script src="scripts/aframe-gif-shader.js"></script>
    <link rel="icon" href="img/favicon.ico" type="image/ico" sizes="16x16">
    <title>WebAR - Zeanex Technologies</title>
    <?php
    if($row['itemType'] == "video"){
    ?>
    <script>
        document.addEventListener("DOMContentLoaded", function() {
            const target = document.querySelector('#target');
        	const paintandquestPreviewButton = document.querySelector("#paintandquest-preview-button");
        	var ua = navigator.userAgent.toLowerCase();
            var isAndroid = ua.indexOf("android") > -1;
            var isIos = ua.indexOf("iphone") > -1 || ua.indexOf("ipad") > -1 || ua.indexOf("ipod") > -1;
            if(isIos){
                paintandquestPreviewButton.setAttribute("visible", true);
            }else{
            	paintandquestPreviewButton.setAttribute("visible", false);
            }
            target.addEventListener("targetFound", event => {
        	  console.log("target found");
              document.querySelector("#paintandquest-video-mp4").play();
        	});
        	target.addEventListener("targetLost", event => {
        	  console.log("target lost");
              document.querySelector("#paintandquest-video-mp4").pause();
        	});
            paintandquestPreviewButton.addEventListener('click', () => {
              console.log("clicked");
              paintandquestPreviewButton.setAttribute("visible", false);
                document.querySelector("#paintandquest-video-mp4").play();
            });
        });
    </script>
    <script>
        window.onorientationchange = function() {  	window.location.reload(); };
    </script>
    <?php
    }
    ?>
     <style>
      #example-scanning-overlay {
	display: flex;
	align-items: center;
	justify-content: center;
	position: absolute;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	background: transparent;
	z-index: 2;
      }
      @media (min-aspect-ratio: 1/1) {
	#example-scanning-overlay .inner {
	  width: 50vh;
	  height: 50vh;
	}
      }
      @media (max-aspect-ratio: 1/1) {
	#example-scanning-overlay .inner {
	  width: 80vw;
	  height: 80vw;
	}
      }

      #example-scanning-overlay .inner {
	display: flex;
	align-items: center;
	justify-content: center;
	position: relative;

	background:
	  linear-gradient(to right, white 10px, transparent 10px) 0 0,
	  linear-gradient(to right, white 10px, transparent 10px) 0 100%,
	  linear-gradient(to left, white 10px, transparent 10px) 100% 0,
	  linear-gradient(to left, white 10px, transparent 10px) 100% 100%,
	  linear-gradient(to bottom, white 10px, transparent 10px) 0 0,
	  linear-gradient(to bottom, white 10px, transparent 10px) 100% 0,
	  linear-gradient(to top, white 10px, transparent 10px) 0 100%,
	  linear-gradient(to top, white 10px, transparent 10px) 100% 100%;
	background-repeat: no-repeat;
	background-size: 40px 40px;
      }

      #example-scanning-overlay.hidden {
	display: none;
      }

      #example-scanning-overlay img {
	opacity: 0.6;
	width: 90%;
	align-self: center;
      }

      #example-scanning-overlay .inner .scanline {
	position: absolute;
	width: 100%;
	height: 10px;
	background: white;
	animation: move 2s linear infinite;
      }
      @keyframes move {
	0%, 100% { top: 0% }
	50% { top: calc(100% - 10px) }
      }
    </style>
  </head>
  <body>
  <div id="example-scanning-overlay" class="hidden">
      <div class="inner">
	<img src="images/<?php echo $row['image']; ?>"/>
	<div class="scanline"></div>
      </div>
    </div>
    <a-scene loading-screen="dotsColor: red; backgroundColor: black" mindar-image="uiScanning: #example-scanning-overlay; imageTargetSrc: targets/<?php echo $row['target']; ?>;" color-space="sRGB" renderer="colorManagement: true, physicallyCorrectLights" vr-mode-ui="enabled: false" device-orientation-permission-ui="enabled: false">
      <?php
$tname = "45h2p32RY21cHoJF0b6q50mm20AnGEku0u";
include 'connection.php';
    $sql = "UPDATE objects SET views = views + 1 WHERE id = '".$tname."'";
    mysqli_query($conn, $sql);
	$re = mysqli_query($conn,"SELECT * FROM content WHERE markerId = '$tname'");
	while($r = mysqli_fetch_array($re)){
		echo $r['contentType']."~)".$r['contentLocation']."~)".$r['positionx']."~)".$r['positiony']."~)".$r['positionz']."~)".$r['rotationx']."~)".$r['rotationy']."~)".$r['rotationz']."~)".$r['scalex']."~)".$r['scaley']."~)".$r['scalez']."~)".$r['extra1']."~)".$r['status']."~)".$r['id']."~)".$r['contentName']."~)";
	}
?>
      <a-assets>
        <?php
        if($r['contentType'] == "image"){
        ?>
        <img id="card" src="uploads/<?php echo $row['itemLocation']; ?>" />
        <?php
        }else if($r['contentType'] == "model"){
        ?>
        <a-asset-item id="avatarModel" src="uploads/<?php echo $row['itemLocation']; ?>"></a-asset-item>
        <?php 
        }else if($r['contentType'] == "gif"){
        ?>
        <img id="card2" src="uploads/<?php echo $row['itemLocation']; ?>" />
        <?php
        }else{
        ?>
        <img id="paintandquest-preview" src="img/play.png">
        <video id="paintandquest-video-mp4" autoplay="false" loop="true" src="uploads/<?php echo $row['itemLocation']; ?>" playsinline="" webkit-playsinline="" loop crossorigin></video>
        <?php
        }
        ?>
      </a-assets>
      <a-entity id="target" mindar-image-target="targetIndex: 0">
        <?php
        if($r['contentType'] == "image"){
        ?>
        <a-plane src="#card" position="<?php echo $row['positionx']; ?> <?php echo $row['positiony']; ?> <?php echo $row['positionz']; ?>" height="<?php echo $row['scaley']; ?>" width="<?php echo $row['scalex']; ?>" rotation="<?php echo $row['rotationx']; ?> <?php echo $row['rotationy']; ?> <?php echo $row['rotationz']; ?>"></a-plane>
        <?php
        }else if($r['contentType'] == "model"){
        ?>
        <a-gltf-model rotation="<?php echo $row['rotationx']; ?> <?php echo $row['rotationy']; ?> <?php echo $row['rotationz']; ?>" position="<?php echo $row['positionx']; ?> <?php echo $row['positiony']; ?> <?php echo $row['positionz']; ?>" scale="<?php echo $row['scalex']; ?> <?php echo $row['scaley']; ?> <?php echo $row['scalez']; ?>" src="#avatarModel" animation-mixer>
        <?php 
        }else if($r['contentType'] == "gif"){
        ?>
        <a-plane src="#card2" 
                 geometry="primitive:plane"
                 material="shader:gif"
                 gif=""
                 transparent="false"
                 position="<?php echo $row['positionx']; ?> <?php echo $row['positiony']; ?> <?php echo $row['positionz']; ?>" height="<?php echo $row['scaley']; ?>" width="<?php echo $row['scalex']; ?>" rotation="<?php echo $row['rotationx']; ?> <?php echo $row['rotationy']; ?> <?php echo $row['rotationz']; ?>"></a-plane>
        <?php
        }else{
        ?>
        <a-video id="paintandquest-video-link" src="#paintandquest-video-mp4" webkit-playsinline="" playsinline="" height="<?php echo $row['scaley']; ?>" width="<?php echo $row['scalex']; ?>" position="<?php echo $row['positionx']; ?> <?php echo $row['positiony']; ?> <?php echo $row['positionz']; ?>" rotation="<?php echo $row['rotationx']; ?> <?php echo $row['rotationy']; ?> <?php echo $row['rotationz']; ?>" material="" geometry=""></a-video>
        <a-image id="paintandquest-preview-button" class="clickable" src="#paintandquest-preview" alpha-test="0.5" position="0 0 0.1" height="0.2" width="0.2" material="" geometry="">
              </a-image>
        <?php
        }
        ?>
      </a-entity>
    <a-camera position="0 0 0" look-controls="enabled: false" cursor="fuse: false; rayOrigin: mouse;" raycaster="far: ${customFields.libVersion}; objects: .clickable"></a-camera>
      </a-scene>
  </body>
</html>